Subject: MGU data request
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Tue, 13 Feb 2001 09:00:00 -0800 (PST)

Attached is the initial data request to be sent to MGU this week.  This list 
is intended to cover the basic information we need for modelling purposes and 
to get our arms around a preliminary valuation.  The more detailed and 
"proprietary" questions will come later when we feel more comfortable with 
the confidentiality of this process.

If anyone has any additions let me know ASAP.  (This list might help with the 
SEMCO RFP as well)

thanks

Russell Murrell
(312) 541-1159